Page 1 of 1

no game is starting

Posted: Sun Oct 16, 2011 2:41 am
by traaf
hi there
i purchased a humblebundle pack and i can't play shadowgrounds, survivor and claw

i can launch and play trine

but no way to launch shadowgrounds or survivor

to be able to install them, i followed instructions here about libglade
http://frozenbyte.com/help_humble/linuxfaq.html

then to launch the game i also had to delete the "libasound.so.2

and now, i have the configuration screen, but only a black screen when launching the game
i disabled the fullscreen option so i could read my terminal, near a black window supposed to be the game and i have this :

Code: Select all

optirun ./shadowgrounds-launcher
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
./shadowgrounds-launcher: ./lib32/libxml2.so.2: no version information available (required by ./lib32/libglade-2.0.so.0)
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(shadowgrounds-launcher:2709): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
X Error of failed request:  GLXUnsupportedPrivateRequest
  Major opcode of failed request:  155 (GLX)
  Minor opcode of failed request:  16 (X_GLXVendorPrivate)
  Serial number of failed request:  23
  Current serial number in output stream:  24
Locking assertion failure.  Backtrace:
#0 /home/marion/Jeux/Shadowgrounds/lib32/libxcb-xlib.so.0(+0x787) [0xf41fd787]
#1 /home/marion/Jeux/Shadowgrounds/lib32/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0xf41fd92e]
#2 /home/marion/Jeux/Shadowgrounds/lib32/libX11.so.6(+0x43de9) [0xf60b2de9]
#3 /home/marion/Jeux/Shadowgrounds/lib32/libX11.so.6(XSync+0x25) [0xf60a7115]
#4 /home/marion/Jeux/Shadowgrounds/lib32/libSDL-1.2.so.0(+0x39f25) [0xf75d9f25]
#5 /home/marion/Jeux/Shadowgrounds/lib32/libSDL-1.2.so.0(+0x4295b) [0xf75e295b]
#6 /home/marion/Jeux/Shadowgrounds/lib32/libSDL-1.2.so.0(SDL_VideoQuit+0x50) [0xf75d0c70]
#7 /home/marion/Jeux/Shadowgrounds/lib32/libSDL-1.2.so.0(SDL_QuitSubSystem+0x64) [0xf75a6584]
#8 /home/marion/Jeux/Shadowgrounds/lib32/libSDL-1.2.so.0(SDL_Quit+0x1e) [0xf75a65fe]
#9 /lib32/libc.so.6(+0x32831) [0xf6620831]



same problem with

Code: Select all

optirun ./survivor-launcher
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
./survivor-launcher: ./lib32/libxml2.so.2: no version information available (required by ./lib32/libglade-2.0.so.0)
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: mauvaise classe ELF : ELFCLASS64

(survivor-launcher:3043): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
X Error of failed request:  GLXUnsupportedPrivateRequest
  Major opcode of failed request:  155 (GLX)
  Minor opcode of failed request:  16 (X_GLXVendorPrivate)
  Serial number of failed request:  23
  Current serial number in output stream:  24
Locking assertion failure.  Backtrace:
#0 /home/marion/Jeux/Survivor/lib32/libxcb-xlib.so.0(+0x787) [0xf4148787]
#1 /home/marion/Jeux/Survivor/lib32/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0xf414892e]
#2 /home/marion/Jeux/Survivor/lib32/libX11.so.6(+0x43de9) [0xf5ffdde9]
#3 /home/marion/Jeux/Survivor/lib32/libX11.so.6(XSync+0x25) [0xf5ff2115]
#4 /home/marion/Jeux/Survivor/lib32/libSDL-1.2.so.0(+0x39f25) [0xf7524f25]
#5 /home/marion/Jeux/Survivor/lib32/libSDL-1.2.so.0(+0x4295b) [0xf752d95b]
#6 /home/marion/Jeux/Survivor/lib32/libSDL-1.2.so.0(SDL_VideoQuit+0x50) [0xf751bc70]
#7 /home/marion/Jeux/Survivor/lib32/libSDL-1.2.so.0(SDL_QuitSubSystem+0x64) [0xf74f1584]
#8 /home/marion/Jeux/Survivor/lib32/libSDL-1.2.so.0(SDL_Quit+0x1e) [0xf74f15fe]
#9 /lib32/libc.so.6(+0x32831) [0xf656b831]



claw is different, it close immediatly

Code: Select all

optirun ./claw-bin
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
Got signal 11 at (nil) from (nil)




i am running ubuntu 11.10 64bit with Geforce GT 540M
(with bumblebee)

any idea ?

Re: no game is starting

Posted: Mon Oct 17, 2011 3:40 pm
by fb_joel
I believe you just missed an addition to the FAQ I wrote on Saturday:

In Oneiric Ocelot, the ia32-libs have been replaced by the multiarch repositories. This makes the installer fail with the following output:

./shadowgroundsUpdate1.run: error while loading shared libraries: libglade-2.0.so.0: wrong ELF class: ELFCLASS64

For the fix:
1. Download the 32bit Glade library from http://packages.ubuntu.com/oneiric/i386 ... 0/download
2. Open it with archive manager, extract the file usr/lib/libglade-2.0.so.0.0.7
3. Put it in Shadowgrounds' lib32 folder.
4. Rename it to libglade-2.0.so.0

More information in this thread. I hope this was the same issue. :)

Re: no game is starting

Posted: Mon Oct 17, 2011 7:23 pm
by traaf
fb_joel wrote:I believe you just missed an addition to the FAQ I wrote on Saturday:

sorry, but wrong 8)


traaf wrote:to be able to install them, i followed instructions here about libglade
http://frozenbyte.com/help_humble/linuxfaq.html

i did the tips about libglade AND libasound :mrgreen:

Re: no game is starting

Posted: Tue Oct 18, 2011 2:47 pm
by fb_joel
Ah. Well then I have no idea. :( Did you check the thread about the Ubuntu 11.10 issues? This sounds rather similar but I guess it's a different issue after all...

Re: no game is starting

Posted: Thu Oct 20, 2011 3:33 pm
by traaf
about appmenu-gtk, i found :
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
/usr/lib/gtk-3.0/3.0.0/menuproxies/libappmenu.so
which is the lib i have to copy ?

i tried both, but without success.

isn't it a problem to copy 64 bits system libs to lib32's game folder ?

Re: no game is starting

Posted: Thu Oct 20, 2011 5:16 pm
by traaf
okay
i installed virtualgl-libs:i386 from bumblebee ppa and games now run

Re: no game is starting

Posted: Thu Oct 20, 2011 8:36 pm
by fb_joel
That's great to hear. Enjoy! :)